org.apache.ignite.internal.visor.query

## Class VisorScanQueryCancelTaskArg

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.query.VisorScanQueryCancelTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    @GridInternal
    public class VisorScanQueryCancelTaskArg
    extends IgniteDataTransferObject

Arguments of task for cancel SCAN query.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`VisorScanQueryCancelTaskArg()` Default constructor.
`VisorScanQueryCancelTaskArg(UUID originNodeId, String cacheName, long qryId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCacheName()`
`UUID` `getOriginNodeId()`
`long` `getQueryId()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorScanQueryCancelTaskArg

    public VisorScanQueryCancelTaskArg()

Default constructor.

#### VisorScanQueryCancelTaskArg

    public VisorScanQueryCancelTaskArg(UUID originNodeId,
                                       String cacheName,
                                       long qryId)

Parameters:
  `qryId` - Query ID to cancel.

### Method Detail

#### getQueryId

    public long getQueryId()

Returns:
  Query ID to cancel.

#### getCacheName

    public String getCacheName()

Returns:
  Cache name.

#### getOriginNodeId

    public UUID getOriginNodeId()

Returns:
  Query originating node to cancel.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021